Developer documentation
iMIS® SDK Developer Guide
A secure set of web services for accessing the iMIS platform across your organization, across physical locations, and even across organizational boundaries.
Supports
iMIS EMS 20.3
iMIS 2017 20.2
iMIS 100 100.1.65+
Build on the iMIS platform
Everything you need to integrate with and extend iMIS. Unless a specific environment is noted, the documentation applies to all supported versions.
- Data modelsEvery property and its datatype, with the purpose of each property explained.
- Swagger filesDescribe the API for Swagger-UI, or generate clients in various languages with Swagger-Codegen.
- Testing & toolingUse the generated files with additional utilities, such as API testing tools.
# Request an access token from your iMIS site POST https://{your-imis-site}/token Content-Type: application/x-www-form-urlencoded grant_type=password &username={username} &password={password}
# Use the token to call the REST API GET https://{your-imis-site}/api/Party?limit=10 Authorization: Bearer {access_token} Accept: application/json
// Sample placeholder: replace with your own example using var client = new HttpClient(); client.DefaultRequestHeaders.Authorization = new AuthenticationHeaderValue("Bearer", token); var json = await client.GetStringAsync( "https://{your-imis-site}/api/Party?limit=10");
Explore the SDK
Jump into the section that matches where you are in your integration.
Stay current
Track platform changes and get answers from the iMIS development team and fellow developers.
Changelog
Review changes and important updates from the SDK team and iMIS developers.
Discussions
Review community questions and post your own question directly to iMIS development.

